/***************************************************************
 * Name:      Register3D_wx_win32Main.h
 * Purpose:   Defines Application Frame
 * Author:    Nghia Ho (nghiaho12@yahoo.com)
 * Created:   2011-04-22
 * Copyright: Nghia Ho (http://nghiaho.com)
 * License:
 **************************************************************/

#ifndef REGISTER3D_WX_WIN32MAIN_H
#define REGISTER3D_WX_WIN32MAIN_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "Register3D_wx_win32App.h"


#include <wx/button.h>
#include <wx/statline.h>
class Register3D_wx_win32Dialog: public wxDialog
{
    public:
        Register3D_wx_win32Dialog(wxDialog *dlg, const wxString& title);
        ~Register3D_wx_win32Dialog();

    protected:
        enum
        {
            idBtnQuit = 1000,
            idBtnAbout
        };
        wxStaticText* m_staticText1;
        wxButton* BtnAbout;
        wxStaticLine* m_staticline1;
        wxButton* BtnQuit;

    private:
        void OnClose(wxCloseEvent& event);
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        DECLARE_EVENT_TABLE()
};

#endif // REGISTER3D_WX_WIN32MAIN_H
